Bug 536465 - (RHQ-810) Dynagroups Expression builder - "Value" field won't work unless you defocus the textfield first
Dynagroups Expression builder - "Value" field won't work unless you defocus t...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.1pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-09-09 13:09 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
linux, postgres, firefox3, rev1385
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jweiss: archived+


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-09-09 13:09:00 EDT
How to repeat:

Go to group definitions, create a new one.  Edit the condition and open the expression builder using the "+" icon.  Fill in a Value of "hithere" and leave the other fields the same.  Click "Add Expression".  Notice the value field is ignored.

Workaround - click in the blank area of the expression builder to defocus the textfield, then click ok.
Or - add the value on the right hand side of the expression, outside of the expression builder.
Comment 1 Joseph Marques 2008-12-18 21:22:58 EST
rev2473 - use javascript keypress callback handler along with client side timeouts to get around requirement to defocus the 'value' input text field
Comment 2 Jeff Weiss 2009-01-06 16:41:57 EST
Fixed, rev2522
Comment 3 Red Hat Bugzilla 2009-11-10 16:17:24 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-810
This bug relates to RHQ-401

Note You need to log in before you can comment on or make changes to this bug.